CVE-2019-17539

NameCVE-2019-17539
DescriptionIn FFmpeg before 4.2, avcodec_open2 in libavcodec/utils.c allows a NULL pointer dereference and possibly unspecified other impact when there is no valid close function pointer.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2537-1, DSA-4722-1
NVD severityhigh

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
ffmpeg (PTS)stretch7:3.2.14-1~deb9u1vulnerable
stretch (security)7:3.2.15-0+deb9u2fixed
buster, buster (security)7:4.1.6-1~deb10u1fixed
bullseye, sid7:4.3.2-0+deb11u2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
ffmpegsourcestretch7:3.2.15-0+deb9u2DLA-2537-1
ffmpegsourcebuster7:4.1.6-1~deb10u1DSA-4722-1
ffmpegsource(unstable)7:4.2.1-1low
libavsourcejessie(not affected)
libavsource(unstable)(unfixed)low

Notes

[jessie] - libav <not-affected> (Vulnerable code introduced in v12.x)
https://github.com/FFmpeg/FFmpeg/commit/8df6884832ec413cf032dfaa45c23b1c7876670c

Search for package or bug name: Reporting problems